<html>
<head>
<title>OGRE: OgreMaterialSerializer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreMaterialSerializer.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreMaterial_8h-source.html">OgreMaterial.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreBlendMode_8h-source.html">OgreBlendMode.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h-source.html">OgreGpuProgram.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreStringVector_8h-source.html">OgreStringVector.h</a>&quot;</code><br>

<p>
<a href="OgreMaterialSerializer_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">Ogre::MaterialScriptProgramDefinition</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Struct for holding a program definition which is in progress.  <a href="structOgre_1_1MaterialScriptProgramDefinition.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html">Ogre::MaterialScriptContext</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Struct for holding the script context while parsing.  <a href="structOgre_1_1MaterialScriptContext.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class for serializing Materials to / from a .material script.  <a href="classOgre_1_1MaterialSerializer.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef bool(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#315137b78f2d739ab0e41e07b1fcf51d">Ogre::ATTRIBUTE_PARSER</a> )(String &amp;params, MaterialScriptContext &amp;context)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function def for material attribute parser; return value determines if the next line should be {.  <a href="#315137b78f2d739ab0e41e07b1fcf51d"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c">Ogre::MaterialScriptSection</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676ca8ecf2298f0401fa132fbe09d7306e22">Ogre::MSS_NONE</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c03535ff3b3deaf08ce6e4cf28f247396">Ogre::MSS_MATERIAL</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c75dcdf27cd2c26a79997de2e6670f4a1">Ogre::MSS_TECHNIQUE</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c4dbef3e527e942ad0fdf8790ff79ca91">Ogre::MSS_PASS</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676cf7bf31ae13f2c3b042d78aa28626b1e5">Ogre::MSS_TEXTUREUNIT</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676cc22fc0112f378c4652e0335c5369a501">Ogre::MSS_PROGRAM_REF</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c1482036b89dfe855d5722f4280bb9136">Ogre::MSS_PROGRAM</a>, 
<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c485e4dd851bfd5d5db3ca78b4a031d44">Ogre::MSS_DEFAULT_PARAMETERS</a>, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676cdd3efa1f0af549e1fbe112beb544bf69">Ogre::MSS_TEXTURESOURCE</a>
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enum to identify material sections.  <a href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
